Ninja Traker now works for Windows 7 64 bit

Discussion in 'Retail Brokers' started by oraclewizard77, Sep 13, 2010.

  1. oraclewizard77

    oraclewizard77 Moderator

    NinjaTrader Version 7 Beta 21 introduces native 64-bit support for Zen-Fire and Vision Financial Markets. Native 64-bit is implemented through a new underlying API and its integration is in beta. Please proceed with caution.

    To enable

    * Go to your connection (Tools > Account Connection)
    * Select your Zen-Fire or Vision connection
    * Go to the screen where you enter your user name/pwd
    * Select the "Settings" button
    * Check the "Enable 64-bit" option

    When running in 64-bit OS:

    * Running the native 64-bit version, any connection made to Zen-Fire or Vision will be using the new underlying API which is in beta
    * Running the native 32-bit version, any connection made to Zen-Fire or Vision will be using the legacy API which has been in production for quite some time

    So if you have any futures broker that supports Zenfire, you can in fact use NinjaTrader under Windows 7 64 if you follow the above directions. Although it stills says beta, with ver 21 they finally fixed what I considered the last remaining flaw to recommending NinjaTrader for Windows 7.

    If you use NinjaTrader 6.5, there is no cost to upgrading, and you don't need to uninstall 6.5 and can use it while you test transferring your indicators into the new version, although not sure if you can use both at the same time.

    The reason for upgrading is the speed boost of running 64 bit data in a Windows 64 bit environment, you will see a major improvement over 6.5.
  2. Can you use TT or Rithmic on the back-end ?